Nova Pro 1.0

Nova Pro 1.0
Amazon · Text Generation
POST /v1/chat/completions

Multimodal foundation model balancing accuracy, speed, and cost for text, images, and video on 300K context (up to ~30 min video).

At a glance

FieldValue
Model idnova-pro-1-0
Model release date2024-12-03
Input modalitiesText, Image, Video
Output modalitiesText
Context window300K
Weight precision-
Max output tokens5,000
Featuresvision, function_calling
Native inferenceNo
NewNo
Structured outputJSON Mode
Batch API35% off list price
Supported endpointsPOST /v1/chat/completions, POST /v1/responses, POST /v1/messages, POST /v1beta/models/nova-pro-1-0:generateContent
Alternate model idsamazon-nova-pro, amazon.nova-pro-v1:0, amazon/nova-pro, nova-pro, us.amazon.nova-pro-v1:0

Pricing

ChargeSpecRate
Inputper 1M prompt tokens$2.40
Outputper 1M generated tokens$9.60
Latency Optimized Inputper 1M prompt tokens$3.00
Latency Optimized Outputper 1M generated tokens$12.00
Web Search (Linkup)per call when invoked$0.013

Example request

$curl https://api.empiriolabs.ai/v1/chat/completions \
> -H 'Authorization: Bearer $EMPIRIOLABS_API_KEY' \
> -H 'Content-Type: application/json' \
> -d '{"model": "nova-pro-1-0", "messages": [{"role":"user","content":"Hello"}]}'

Parameters

ParameterTypeRequiredDefaultDescription
temperaturenumberno0.7Sampling temperature. 0 = deterministic, 2 = maximum randomness. · Range: 0 – 2
top_pnumberno0.9Nucleus sampling probability mass. Lower = more focused. · Range: 0 – 1
max_tokensnumberno4096Maximum tokens in the response. · Range: 1 – 65536
stopstringno-Up to 4 strings where the model will stop generating further tokens.
latency_optimizedbooleannofalsePrefer faster routing at a slight quality cost.
enable_latency_optimizedbooleannofalseEnable latency-optimized routing for faster responses, billed at the catalog Latency Optimized rate (3.00input/3.00 input / 12.00 output per 1M tokens) instead of the Standard rate.
response_formatenumno-Return the output as a valid JSON object (JSON mode). Describe the fields you want in your prompt.
web_search_linkupbooleannofalseOptional web search powered by Linkup. When enabled, recent web sources are retrieved using your latest user message as the query and provided to the model as additional context. Adds $0.013 per call when invoked on top of the model’s normal token cost. Disabled by default.
disable_formattingbooleannofalseWhen enabled, the gateway will not append the “Sources” footer to assistant responses that used Linkup web search. Useful when the model output is piped to another system that expects no decoration.

Notes

Optional Latency-Optimized Inference for faster responses at higher cost.


Machine-readable schema: GET https://api.empiriolabs.ai/v1/models/nova-pro-1-0.